CMSIS-DSP: arm_cfft_radix4_q15.c File Reference

| CMSIS-DSP Version 1.8.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
arm_cfft_radix4_q15.c File Reference

## Functions

void | arm_radix4_butterfly_q15 (q15_t *pSrc16, uint32_t fftLen, const q15_t *pCoef16, uint32_t twidCoefModifier)
| Core function for the Q15 CFFT butterfly process. More...
void | arm_radix4_butterfly_inverse_q15 (q15_t *pSrc16, uint32_t fftLen, const q15_t *pCoef16, uint32_t twidCoefModifier)
| Core function for the Q15 CIFFT butterfly process. More...
void | arm_bitreversal_q15 (q15_t *pSrc, uint32_t fftLen, uint16_t bitRevFactor, const uint16_t *pBitRevTab)
| In-place Q15 bit reversal function. More...
void | arm_cfft_radix4_q15 (const arm_cfft_radix4_instance_q15 *S, q15_t *pSrc)
| Processing function for the Q15 CFFT/CIFFT. More...

## Function Documentation

void arm_bitreversal_q15 | ( | q15_t * | pSrc16,
|  | uint32_t | fftLen,
|  | uint16_t | bitRevFactor,
|  | const uint16_t * | pBitRevTab
| ) |  |

Parameters

  [in,out] | pSrc16 | points to in-place Q15 data buffer
  [in] | fftLen | length of FFT
  [in] | bitRevFactor | bit reversal modifier that supports different size FFTs with the same bit reversal table
  [in] | pBitRevTab | points to bit reversal table

Returns
  none

void arm_radix4_butterfly_inverse_q15 | ( | q15_t * | pSrc16,
|  | uint32_t | fftLen,
|  | const q15_t * | pCoef16,
|  | uint32_t | twidCoefModifier
| ) |  |

Parameters

  [in,out] | pSrc16 | points to the in-place buffer of Q15 data type
  [in] | fftLen | length of the FFT
  [in] | pCoef16 | points to twiddle coefficient buffer
  [in] | twidCoefModifier | twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table.

Returns
  none

void arm_radix4_butterfly_q15 | ( | q15_t * | pSrc16,
|  | uint32_t | fftLen,
|  | const q15_t * | pCoef16,
|  | uint32_t | twidCoefModifier
| ) |  |

end of ComplexFFT group

Parameters

  [in,out] | pSrc16 | points to the in-place buffer of Q15 data type
  [in] | fftLen | length of the FFT
  [in] | pCoef16 | points to twiddle coefficient buffer
  [in] | twidCoefModifier | twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table

Returns
  none